<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="4.0" encoding="ISO-8859-1" media-type="text/html"/>
<!--root-->
<!--

    Stylesheet fuer Netzbericht

    Version 1.0.0.5


    ACHTUNG Logo: Platzhalter "$LOGO" wird vor der Anwendung des Stylesheet
                  substituiert ! (z.B. durch "./logo.gif")
                  Einzelheiten s. Online Hilfe unter "Erstellung eines individuellen Netzberichts"
	
	
   20.12.06 Brozio  Englisch sprachige Version
-->

<xsl:variable name="schema_b" select="VDN-Daten/Netzdaten/Netz/Freileitungen_Kabel"/>
<xsl:variable name="berichtsjahr" select="VDN-Daten/Netzdaten/Berichtsjahr"/>
<xsl:variable name="anz_netze" select="VDN-Daten/Netzdaten/Netz/Allgemeine_Angaben/Anzahl_Netze"/>
<xsl:variable name="anz_kunden1" select="VDN-Daten/Netzdaten/Netz/Allgemeine_Angaben/Netzkunden"/>
<xsl:variable name="anz_kunden2" select="VDN-Daten/Netzdaten/Netz/Allgemeine_Angaben/Letztverbraucher"/>
<xsl:variable name="spg" select="VDN-Daten/Netzdaten/Netz/Allgemeine_Angaben/Spannungsgruppe"/>
<xsl:variable name="energie" select="VDN-Daten/Netzdaten/Netz/Allgemeine_Angaben/Uebertragene_Energie"/>
<xsl:variable name="betriebsstuetzpunkt" select="VDN-Daten/Netzdaten/Netz/Allgemeine_Angaben/Betriebsstuetzpunkt"/>


<xsl:template match="*|/">
	<html>
		<xsl:apply-templates select="VDN-Daten"/>
	</html>
</xsl:template>

<xsl:template match="VDN-Daten">
	<head>
		<title>Network report</title>
	</head>
	<body LANG="de-DE">
		<xsl:apply-templates select="Netzdaten"/>
      <xsl:if test="$schema_b">
	     <xsl:apply-templates select="Netzdaten/Netz/Freileitungen_Kabel"/>
        <xsl:choose><xsl:when test="$berichtsjahr >2005">
          <xsl:choose><xsl:when test="$spg &lt; 5">
            <xsl:call-template name="Ortsnetzstationen"><xsl:with-param name="spgcond" select="$spg &lt; 5"/></xsl:call-template>
            <xsl:call-template name="REST"><xsl:with-param name="kapein" select="3+1"/></xsl:call-template>
          </xsl:when><xsl:otherwise>
            <xsl:call-template name="REST"><xsl:with-param name="kapein" select="3"/></xsl:call-template>
          </xsl:otherwise></xsl:choose>
        </xsl:when><xsl:otherwise>
           <xsl:call-template name="Ortsnetzstationen"><xsl:with-param name="spgcond" select="$spg &lt; 4"/></xsl:call-template>
           <xsl:call-template name="REST"><xsl:with-param name="kapein" select="3+1"/></xsl:call-template>
        </xsl:otherwise></xsl:choose>
      </xsl:if>
	</body>
</xsl:template>


<!--Netzdaten-->
<xsl:template match="Netzdaten">
	<table border="1" bordercolor="#111111" cellpadding="4" cellspacing="0" >
      <tr bgcolor="#ffffff">
         <td valign="TOP">
            <P align="CENTER"><img src="$LOGO"/></P>
            <P align="CENTER"><nobr>Interass</nobr></P>
            <P align="CENTER"><nobr>&#169;by FGH GmbH</nobr></P>
         </td>
         <td valign="TOP" width="60%">
            <P align="CENTER"><FONT size="5" style="font-size: 20pt">
				<nobr><U>Report to network</U></nobr></FONT></P>
         </td>
         <td align="right" valign="TOP">
             <table border="0">
               <tr bgcolor="#ffffff">
				   <td><nobr>Provided to:</nobr></td>
				   <td><nobr><xsl:value-of select="datum"/></nobr></td>
               </tr>
               <tr bgcolor="#ffffff">
				   <td></td>
				   <td><nobr><xsl:value-of select="uhrzeit"/></nobr></td>
               </tr>
             </table>
         </td>
      </tr>
      <tr bgcolor="#ffffff">
		<td colspan="4">
			<table>
				<tr bgcolor="#ffffff">
					<td><b>Network operator</b></td>
					<td colspan="1"><xsl:value-of select="Netz/Allgemeine_Angaben/Netzbetreibernummer"/></td>
					<td colspan="3"><xsl:value-of select="Netz/Allgemeine_Angaben/Netzbetreibername"/></td>
					<td></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>Reporting year</b></td>
					<td colspan="1"><xsl:value-of select="Berichtsjahr"/></td>
					<td></td>
					<td><b>Network number</b></td>
					<td><xsl:value-of select="Netz/Allgemeine_Angaben/Netznummer"/></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>Network identifier</b></td>
					<td colspan="4"><xsl:value-of select="Netz/Allgemeine_Angaben/Netzname"/></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>Volt. group</b></td>
					<td><xsl:value-of select="Netz/Allgemeine_Angaben/Spannungsgruppe"/></td>
					<td><xsl:value-of select="Netz/Allgemeine_Angaben/Spannungsgruppe/@text"/></td>
					<td align="left"><b>Nominal voltage</b></td>
					<td align="left"><xsl:value-of select="Netz/Allgemeine_Angaben/Nennspannung"/> kV</td>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>Network type</b></td>
					<td><xsl:value-of select="Netz/Allgemeine_Angaben/Netzart"/></td>
					<td><xsl:value-of select="Netz/Allgemeine_Angaben/Netzart/@text"/></td>
				</tr>
				<xsl:variable name="stpt" select="Netz/Allgemeine_Angaben/Sternpunktbehandlung/@text"/>
				<xsl:variable name="esf"  select="Netz/Allgemeine_Angaben/ES_Erfassung"/>
				<xsl:variable name="esft" select="Netz/Allgemeine_Angaben/ES_Erfassung/@text"/>
				<xsl:for-each select="Netz/Allgemeine_Angaben/Sternpunktbehandlung">
				<tr bgcolor="#ffffff">
					<td><b>Neutral point con.</b></td>
					<td><xsl:value-of select="."/></td>
					<td><xsl:value-of select="$stpt"/></td>
				</tr>
				<tr bgcolor="#ffffff">
					<td><b>EF recording</b></td>
					<td><xsl:value-of select="$esf"/></td>
					<td><xsl:value-of select="$esft"/></td>
				</tr>
				</xsl:for-each>
			</table>
		</td>
      </tr>
	</table>
	<h1><U>1. Administrative data</U></h1>
	<table>
		<tr bgcolor="#ffffff">
			<td><b>Date last change:</b></td>
			<td><xsl:value-of select="Netz/Allgemeine_Angaben/Zeitletzteaenderung"/></td>
			<td></td>
			<td><b>Editor:</b></td>
			<td><xsl:value-of select="Netz/Allgemeine_Angaben/Userletzteaenderung"/></td>
		</tr>
		<tr bgcolor="#ffffff">
			<td><b>Date first change:</b></td>
			<td><xsl:value-of select="Netz/Allgemeine_Angaben/Zeitersteaenderung"/></td>
			<td></td>
			<td><b>Editor:</b></td>
			<td><xsl:value-of select="Netz/Allgemeine_Angaben/Userersteaenderung"/></td>
		</tr>
      <xsl:variable name="dbid" select="Netz/Allgemeine_Angaben/DatenbankID"/>
		<xsl:if test="$dbid > 0">
			<tr bgcolor="#ffffff">
				<td><b>Database ID</b></td>
				<td><xsl:value-of select="$dbid"/></td>
			</tr>
		</xsl:if>
	</table>
<h1><U>2. General data</U></h1>
		<!-- xsl:call-template name="Netzdaten_A"/ -->
		<xsl:apply-templates select="Netz/Netzdaten_A"/>

</xsl:template>

<!--Netzdaten_A-->
<xsl:template match="Netz/Netzdaten_A">
<!-- xsl:template name="Netzdaten_A"  -->
<table>
 <xsl:if test="$betriebsstuetzpunkt">
  <tr bgcolor="#ffffff">
    <td align="left"><b>Operating base:</b></td>
    <td align="right"><xsl:value-of select="../Allgemeine_Angaben/Betriebsstuetzpunkt"/></td>
  </tr>
 </xsl:if>
  <tr bgcolor="#ffffff">
    <td align="left"><b>Circuit length of overhead lines:</b></td>
    <td align="right"><xsl:value-of select="SKL_Freileitung"/></td>
    <td align="left">km</td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left"><b>Circuit length of overhead lines:</b></td>
    <td align="right"><xsl:value-of select="SKL_Freileitung"/></td>
    <td align="left">km</td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left"><b>Circuit length of cables:</b></td>
    <td align="right"><xsl:value-of select="SKL_Kabel"/></td>
    <td align="left">km</td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left"><b>Number of sec. distr. substations:</b></td>
    <td align="right"><xsl:value-of select="Ortsnetzstationen"/></td>
  </tr>
  <xsl:variable name="kundenstationen" select="Kundenstationen"/>
  <xsl:if test="$kundenstationen">
    <tr bgcolor="#ffffff">
        <td align="left"><b>Number of end user substations:</b></td>
        <td align="right"><xsl:value-of select="$kundenstationen"/></td>
    </tr>
  </xsl:if>

  <xsl:choose><xsl:when test="$spg ='0'">
	<tr bgcolor="#ffffff">
		<td align="left"><b>Number of service connections:</b></td>
		<td align="right"><xsl:value-of select="Hausanschluesse"/></td>
	</tr>
	<xsl:choose><xsl:when test="$berichtsjahr >2005">
	   <tr bgcolor="#ffffff">
		   <td align="left"><b>Number of supplied end users:</b></td>
		   <td align="right"><xsl:value-of select="Letztverbraucher"/></td>
	   </tr>
	   <tr bgcolor="#ffffff">
		   <td align="left"><b>Number of LV distribution units:</b></td>
		   <td align="right"><xsl:value-of select="NS-Verteiler"/></td>
	   </tr>
   </xsl:when>
   <xsl:otherwise>
	   <tr bgcolor="#ffffff">
		   <td align="left"><b>Number of customers:</b></td>
		   <td align="right"><xsl:value-of select="Netzkunden"/></td>
	   </tr>
   </xsl:otherwise></xsl:choose>
  </xsl:when>
  <xsl:otherwise>
	<tr bgcolor="#ffffff">
		<td align="left"><b>Number of bays:</b></td>
		<td align="right"><xsl:value-of select="Felder_Umspannwerke-Schaltstationen"/></td>
	</tr>
	   <xsl:choose><xsl:when test="$berichtsjahr >2005">
	     <tr bgcolor="#ffffff">
		   <td align="left"><b>Power sec. distriv. transformers:</b></td>
		   <td align="right"><xsl:value-of select="Ortsnetztransformatoren_Bemessungsscheinleistung"/></td>
	       <td align="left">[MVA]</td>
   	     </tr>
	     <tr bgcolor="#ffffff">
	  	   <td align="left"><b>Power end user transformers:</b></td>
		   <td align="right"><xsl:value-of select="Letztverbrauchertransformatoren_Bemessungsscheinleistung"/></td>
		   <td align="left">[MVA]</td>
	     </tr>
      </xsl:when><xsl:otherwise>
	     <tr bgcolor="#ffffff">
		   <td align="left"><b>Power network transformers:</b></td>
		   <td align="right"><xsl:value-of select="Netztransformatoren_Bemessungsscheinleistung"/></td>
	       <td align="left">[MVA]</td>
   	     </tr>
	     <tr bgcolor="#ffffff">
	  	   <td align="left"><b>Power end user transformers:</b></td>
		   <td align="right"><xsl:value-of select="Kundentransformatoren_Bemessungsscheinleistung"/></td>
		   <td align="left">[MVA]</td>
	     </tr>
      </xsl:otherwise></xsl:choose>
  </xsl:otherwise>
</xsl:choose>
</table>
<xsl:call-template name="Bemerkungen2"><xsl:with-param name="kapein" select="3"/></xsl:call-template>
</xsl:template>



<!--Freileitungen_Kabel-->
<xsl:template match="Freileitungen_Kabel">
<table>
   <tr bgcolor="#ffffff">
      <td align="left"><b>Number of networks:</b></td>
      <td align="left"><xsl:value-of select="$anz_netze"/></td>
   </tr>
  <xsl:choose><xsl:when test="$berichtsjahr >2005">
      <xsl:if test="$anz_kunden2">
         <tr bgcolor="#ffffff">
         <td align="left"><b>Number of end users:</b></td>
         <td align="left"><xsl:value-of select="$anz_kunden2"/></td>
         </tr>
      </xsl:if>
  </xsl:when><xsl:otherwise>
      <xsl:if test="$anz_kunden1">
         <tr bgcolor="#ffffff">
         <td align="left"><b>Number of end users:</b></td>
         <td align="left"><xsl:value-of select="$anz_kunden1"/></td>
         </tr>
      </xsl:if>
  <xsl:if test="$energie">
   <tr bgcolor="#ffffff">
		<td align="left"><b>Total transferred energy:</b></td>
		<td align="left"><xsl:value-of select="$energie"/></td>
		<td align="left">[GWh]</td>
	</tr>
  </xsl:if>
 </xsl:otherwise></xsl:choose>
</table>
<h1><U>3. Overhead line+cable</U></h1>
<table>
  <tr bgcolor="#ffffff">
    <td align="left" width="25%"><b>Overhead lines [km]:</b></td>
    <td width="25%"></td>
    <td width="25%"></td>
    <td width="25%"></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left">Route length multiple line:</td>
    <td><xsl:value-of select="Trassenlaenge_Mehrfachleitung"/></td>
    <td></td>
    <td></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left">Circuit length overhaed lines:</td>
    <td><xsl:value-of select="SKL_Freileitung"/></td>
    <td></td>
    <td></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left"><b>Circuit length of cables [km]:</b></td>
    <td></td>
    <td></td>
    <td></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left">Paper insulated:</td>
    <td><xsl:value-of select="SKL_Kabel_papierisoliert"/></td>
    <td align="left">Oil insulated::</td>
    <td><xsl:value-of select="SKL_Kabel_Oel"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left">PE:</td>
    <td><xsl:value-of select="SKL_Kabel_PE"/></td>
    <td align="left">External gas pressure</td>
    <td><xsl:value-of select="SKL_Kabel_Gasaussendruck"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left">XLPE:</td>
    <td><xsl:value-of select="SKL_Kabel_VPE"/></td>
    <td align="left">Internal gas pressure:</td>
    <td><xsl:value-of select="SKL_Kabel_Gasinnendruck"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left">Plastic other:</td>
    <td><xsl:value-of select="SKL_Kabel_Kunststoff_sonstige"/></td>
    <td align="left">Other:</td>
    <td><xsl:value-of select="SKL_Kabel_sonstige"/></td>
  </tr>
</table>
</xsl:template>


<!--Ortsnetzstationen-->
<xsl:template name="Ortsnetzstationen">
<xsl:param name="spgcond" />
<h1><U>4. Sec. distr. substations</U></h1>
<table>
  <xsl:if test="$spgcond">
  <tr bgcolor="#ffffff">
    <td align="left" width="25%"><b>Number of stations:</b></td>
    <td width="25%"></td>
    <td align="left" width="25%"><b>Number of bays:</b></td>
    <td width="25%"></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left">Tower:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Maststationen"/></td>
    <td align="left">Tower:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Maststationen"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Compact air insulated:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Kompaktstationen_luftisoliert"/></td>
    <td>Compact air insulated:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Kompaktstationen_luftisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Compact gas insulated:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Kompaktstationen_gasisoliert"/></td>
    <td>Compact gas insulated:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Kompaktstationen_gasisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Building air insulated:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Gebaeudestationen_luftisoliert"/></td>
    <td>Building air insulated:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Gebaeudestationen_luftisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Building gas insulated:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Gebaeudestationen_gasisoliert"/></td>
    <td>Building gas insulated:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Gebaeudestationen_gasisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Installation air insulated:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Einbaustationen_luftisoliert"/></td>
    <td>Installation air insulated:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Einbaustationen_luftisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Installation gas insulated:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Einbaustationen_gasisoliert"/></td>
    <td>Installation gas insulated:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Einbaustationen_gasisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Other secondary distribution substation:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Ortsnetzstationen_sonstige"/></td>
    <td>Other secondary distribution substation:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Felder_Ortsnetzstationen_sonstige"/></td>
  </tr>
  </xsl:if>
  <xsl:if test="string(Netzdaten/Netz/Ortsnetzstationen/Kundenstationen)">
    <tr bgcolor="#ffffff">
      <td align="left" width="25%">End user substations:</td>
      <td width="25%"><xsl:value-of select="Netzdaten/Netz/Ortsnetzstationen/Kundenstationen"/></td>
      <td width="25%"></td>
      <td width="25%"></td>
    </tr>
  </xsl:if>
</table>
</xsl:template>


<xsl:template name="REST">
<xsl:param name="kapein" />
  <xsl:call-template name="Umspannwerke"><xsl:with-param name="kapein" select="$kapein+1"/></xsl:call-template>
  <xsl:call-template name="Schaltgeraete"><xsl:with-param name="kapein" select="$kapein+2"/></xsl:call-template>
  <xsl:call-template name="Transformatoren"><xsl:with-param name="kapein" select="$kapein+3"/></xsl:call-template>
  <xsl:call-template name="Bemerkungen"><xsl:with-param name="kapein" select="$kapein+4"/></xsl:call-template>
</xsl:template>


<!--Umspannwerke-->
<!--xsl:template match="Umspannwerke"-->
<xsl:template name="Umspannwerke">
<xsl:param name="kapein" />
<h1><U><xsl:value-of select="$kapein"/>. Transformer stations</U></h1>
<table>
  <tr bgcolor="#ffffff">
    <td align="left" width="33%"><b>Substations</b></td>
    <td align="left" width="33%"><b>Number of stations:</b></td>
    <td align="left" width="33%"><b>Number of bays:</b></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Outdoor air insulated:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Freiluft_SA_luftisoliert"/></td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Felder_Freiluft_SA_luftisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Indoor air insulated open:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Innenraum_SA_luftisoliert_offen"/></td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Felder_Innenraum_SA_luftisoliert_offen"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Indoor air insulated metal-enclosed:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Innenraum_SA_luftisoliert_metallgekapselt"/></td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Felder_Innenraum_SA_luftisoliert_metallgekapselt"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Gas-insulated:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/SA_gasisoliert"/></td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Felder_SA_gasisoliert"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Other:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/SA_sonstige"/></td>
    <td><xsl:value-of select="Netzdaten/Netz/Umspannwerke/Felder_SA_sonstige"/></td>
  </tr>
</table>
</xsl:template>

<!--Schaltgeraete-->
<xsl:template name="Schaltgeraete">
<xsl:param name="kapein" />
<h1><U><xsl:value-of select="$kapein"/>. Switching devices</U></h1>
<table>
  <tr bgcolor="#ffffff">
    <td align="left" width="33%"><b>Number of switching devices:</b></td>
    <td align="left" width="33%">(in three phase sets)</td>
    <td width="33%"></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Circuit breakers:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Schaltgeraete/Leistungsschalter"/></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Disconnecting/load-break switches:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Schaltgeraete/Trenn_Lasttrennschalter"/></td>
  </tr>
</table>
</xsl:template>

<!--Transformatoren-->
<xsl:template name="Transformatoren">
<xsl:param name="kapein" />
<h1><U><xsl:value-of select="$kapein"/>. Transformers</U></h1>
<table>
  <tr bgcolor="#ffffff">
    <td align="left" width="33%"><b>Number of transformers:</b></td>
    <td align="left" width="33%">(in three phase sets)</td>
    <td width="33%"></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td>Network transformers:</td>
    <td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren"/></td>
  </tr>
  <xsl:if test="string(Netzdaten/Netz/Transformatoren/Kundentransformatoren)">
    <tr bgcolor="#ffffff">
      <td>End user transformers:</td>
      <td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Kundentransformatoren"/></td>
    </tr>
  </xsl:if>
  <tr bgcolor="#ffffff">
    <td></td>
    <td></td>
  </tr>
  <tr bgcolor="#ffffff">
    <td align="left"><b>Rated apparent power:</b></td>
    <td align="left">(in MVA)</td>
  </tr>
	<xsl:choose><xsl:when test="$berichtsjahr >2005">
    <tr bgcolor="#ffffff">
      <td>Secondary distribution substations:</td>
      <td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Ortsnetztransformatoren_Bemessungsscheinleistung"/></td>
    </tr>
    <tr bgcolor="#ffffff">
      <td>Other network coupling transformers:</td>
      <td><xsl:value-of select="Netzdaten/Netz/Transformatoren/SonstigeNetzkuppeltransformatoren_Bemessungsscheinleistung"/></td>
    </tr>
    <tr bgcolor="#ffffff">
      <td>End user transformers:</td>
      <td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Letztverbrauchertransformatoren_Bemessungsscheinleistung"/></td>
    </tr>
  </xsl:when><xsl:otherwise>
    <tr bgcolor="#ffffff">
      <td>Network transformers:</td>
      <td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Netztransformatoren_Bemessungsscheinleistung"/></td>
    </tr>
    <tr bgcolor="#ffffff">
      <td>End user transformers:</td>
      <td><xsl:value-of select="Netzdaten/Netz/Transformatoren/Kundentransformatoren_Bemessungsscheinleistung"/></td>
    </tr>
  </xsl:otherwise></xsl:choose>
</table>
</xsl:template>

<xsl:template name="Bemerkungen">
<xsl:param name="kapein" />
<h1><U><xsl:value-of select="$kapein"/>. Remarks</U></h1>
<table>
  <xsl:for-each select="Netzdaten/Netz/Bemerkungen/item">
	<tr bgcolor="#ffffff"><td><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td></tr>
  </xsl:for-each>  
</table>		
</xsl:template>

<xsl:template name="Bemerkungen1">
<xsl:param name="kapein" />
<h1><U><xsl:value-of select="$kapein"/>. Remarks</U></h1>
<table>
  <xsl:for-each select="Netz/Bemerkungen/item">
	<tr bgcolor="#ffffff"><td><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td></tr>
  </xsl:for-each>  
</table>		
</xsl:template>

<xsl:template name="Bemerkungen2">
<xsl:param name="kapein" />
<h1><U><xsl:value-of select="$kapein"/>. Remarks</U></h1>
<table>
  <xsl:for-each select="../Bemerkungen/item">
	<tr bgcolor="#ffffff"><td><!-- xsl:value-of select="position()" / --><xsl:value-of select="."/></td></tr>
  </xsl:for-each>  
</table>		
</xsl:template>


</xsl:stylesheet>
